@charset "UTF-8";

/*Кнопка меню*/

/*В разметке обязательно должна иметь внутренний span */

/*<button class="burger"><span></span></button>*/

.filter.open .filter__button {
    justify-content: center;
    font-family: "Inter", sans-serif;
    display: flex;
    align-items: center;
    border: solid 1px #306682;
    background-color: #306682;
    text-transform: uppercase;
    transition: color .3s, background-color .3s;
    cursor: pointer;
    color: white;
    height: 3.25rem;
    padding: 0px 3.4375rem;
    border-radius: 52px;
}

.filter.open .filter__button:hover {
    color: #306682;
    background-color: transparent;
}

.filter.open .filter__button:last-child {
    justify-content: center;
    font-family: "Inter", sans-serif;
    display: flex;
    align-items: center;
    border: solid 1px #306682;
    background-color: white;
    text-transform: uppercase;
    transition: color .3s, background-color .3s;
    cursor: pointer;
    color: #306682;
    height: 3.25rem;
    padding: 0px 3.4375rem;
    border-radius: 52px;
}

.filter.open .filter__button:hover:last-child {
    color: white;
    background-color: #306682;
}

/*Кнопка меню*/

/*В разметке обязательно должна иметь внутренний span */

/*<button class="burger"><span></span></button>*/

.filter.open .filter__button {
    justify-content: center;
    font-family: "Inter", sans-serif;
    display: flex;
    align-items: center;
    border: solid 1px #306682;
    background-color: #306682;
    text-transform: uppercase;
    transition: color .3s, background-color .3s;
    cursor: pointer;
    color: white;
    height: 3.25rem;
    padding: 0px 3.4375rem;
    border-radius: 52px;
}

.filter.open .filter__button:hover {
    color: #306682;
    background-color: transparent;
}

.filter.open .filter__button:last-child {
    justify-content: center;
    font-family: "Inter", sans-serif;
    display: flex;
    align-items: center;
    border: solid 1px #306682;
    background-color: white;
    text-transform: uppercase;
    transition: color .3s, background-color .3s;
    cursor: pointer;
    color: #306682;
    height: 3.25rem;
    padding: 0px 3.4375rem;
    border-radius: 52px;
}

.filter.open .filter__button:hover:last-child {
    color: white;
    background-color: #306682;
}

.map {
    /* height: calc(100vh - 100px); */
    height: calc(100vh - 262px - 100px);
    background-size: cover;
    display: flex;
    justify-content: flex-end;
    position: relative;
    max-width: 80%;
    margin-left: 300px;
    @media screen and (max-width: 1024px){
        max-width: 100%;
        margin-left: 0;
    }
}

.map__point {
    z-index: 4010;
    cursor: pointer;
    width: 28px;
    height: 40px;
    /*width: 24px;*/
    /*height: 24px;*/
    border-radius: 50%;
    /*border: 4px solid #c9deff;*/
    /*background:#306682;*/
    /*background: linear-gradient(90.62deg, #007DD1 19.42%, #0069B8 89.86%);*/
    /*opacity: 0.5;*/
    /*background: #007DD1;*/
    /*transition: animation .3s, border .3s;*/

}

.map__point svg:last-child {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
}

.map__point.open {
    display: block;
}

.map__point.active svg:first-child {
    opacity: 0;
}

.map__point.active svg:last-child {
    opacity: 1;
}

.ymaps-2-1-78-placemark-overlay .ymaps-2-1-78-user-selection-none {
    z-index: unset !important;
}

.ymaps-2-1-78-places-pane {
    z-index: 4000 !important;
}

.filter-button {
    width: 108px;
    height: 108px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.filter-button__text {
    text-transform: uppercase;
    color: white;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    letter-spacing: 0.02em;
    text-align: left;
}

.filter-button__text svg {
    display: none;
}

.filter-button__text:last-child {
    display: none;
}

.filter {
    margin: 60px 120px 0 0;
    width: 108px;
    overflow: hidden;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
    height: 108px;
    border-radius: 50%;
    background-color: #306682;
    transition: height .3s, border-radius .3s, width .3s;
}

.filter__buttons {
    display: none;
}

.filter .filter-article {
    display: none;
}

.filter::-webkit-scrollbar {
    width: 2px;
    min-width: 2px;
}

.filter::-webkit-scrollbar-track {
    background: transparent;
}

.filter::-webkit-scrollbar-thumb {
    border-left: 1px solid #F2F2F2;
    background: #306682;
}

@keyframes radial-pulse {
    0% {
        box-shadow: 0 0 0 0px rgba(48, 102, 130, 0.7);
    }

    100% {
        box-shadow: 0 0 0 20px rgba(255, 255, 255, 0);
    }
}

.filter.open {
    border-radius: 4px;
    background-color: white;
    margin: 8px 20px 8px 0;
    /* height: calc(100vh - 116px); */
    width: 430px;
    animation: none;
    box-sizing: border-box;
    padding: 1.25rem 1.875rem;
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.filter.open .filter__search {
    margin-top: 1.875rem;
    box-sizing: border-box;
    padding: 0.875rem 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 2px;
    border: 1px solid #EDEDED;
}

.filter.open .filter__search-str {
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    color: #35454D;
}

.filter.open .filter__search-str::-webkit-input-placeholder {
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    color: #35454D;
}

.filter.open .filter__tabs-box {
    position: relative;
    width: 100%;
    height: auto;
}

.filter.open .filter__tabs {
    margin-top: 0.75rem;
    display: flex;
    flex-direction: column;
    position: relative;
    box-sizing: border-box;
    border: 1px solid #EDEDED;
    border-radius: 2px;
    overflow: hidden;
    max-height: 44px;
    transition: max-height .3s;
    width: 100%;
}

.filter.open .filter__tabs svg {
    position: absolute;
    right: 14px;
    cursor: pointer;
    top: 14px;
    transition: transform .3s, box-shadow .3s;
}

.filter.open .filter__tabs.open {
    z-index: 10;
    background-color: white;
    box-shadow: 0 0 10px #00000015;
}

.filter.open .filter__tabs.open svg {
    transform: rotate(180deg);
}

.filter.open .filter__tab {
    position: relative;
    padding: 12px 24px;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    color: #35454D;
}

.filter.open .filter__tab.active {
    order: -1;
}

.filter.open .filter__buttons {
    display: flex;
    flex-direction: column;
    margin-top: 2rem;
}

.filter.open .filter__button {
    display: block;
}

.filter.open .filter__button:last-child {
    margin-top: 20px;
}

.filter.open .filter__arrow {
    position: absolute;
    top: 14px;
    right: 24px;
}

.filter.open .filter__box {
    display: flex;
    width: 100%;
    justify-content: space-between;
    flex-wrap: wrap;
}

.filter.open .filter__radios {
    display: block;
}

.filter.open .filter__radio {
    display: flex;
    flex-direction: column;
}

.filter.open .filter__title {
    margin: 20px 0;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    font-weight: 600;
}

.filter.open .filter__radio-item::before {
    content: "";
    display: block;
    width: 14px;
    height: 14px;
    border: 2px solid #EDEDED;
    margin-right: 14px;
}

.filter.open .filter__radio-item {
    pointer-events: none;
}

.filter.open .filter__radio-item:checked::before {
    background-image: url(../icons/arrow.svg);
    background-repeat: no-repeat;
    background-size: 80% 80%;
    background-position: center center;
    border-color: #306682;
}

.filter.open .filter__radio-itemBox {
    display: flex;
    align-items: center;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    color: #35454D;
    padding: 4px 0;
    margin-bottom: 5px;
}

.filter__radio-itemBox {
    cursor: pointer;
}

.filter.open .filter-button {
    width: 170px;
    height: 40px;
    display: flex;
    justify-content: start;
}

.filter.open .filter-button__text:first-child {
    display: none;
}

.filter.open .filter-button__text:last-child {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    color: #306682;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    text-transform: unset;
}

.filter.open .filter-button__text:last-child svg {
    display: block;
    width: 2.5rem;
    height: 2.5rem;
    margin-right: 12px;
}

input[type="radio"], input[type="checkbox"] {
    margin-top: 0;
}

.filter__tab-input {
    position: absolute;
    width: 100%;
    height: 100%;
    cursor: pointer;
    top: 0;
    left: 0;
}

.filter__search {
    display: none;
}

.filter__radios {
    display: none;
}

.filter__tabs {
    display: none;
}

.content {
    display: none;
    width: 0px;
    transition: width .3s;
}

.content::-webkit-scrollbar {
    width: 2px;
    min-width: 2px;
}

.content::-webkit-scrollbar-track {
    background: transparent;
}

.content::-webkit-scrollbar-thumb {
    border-left: 1px solid #F2F2F2;
    background: #306682;
}

.content.open {
    display: block;
    position: absolute;
    top: 0;
    right: 8px;
    border-radius: 4px;
    background-color: white;
    margin: 0 20px 8px 0;
    /* min-height: calc(100vh - 116px);
    max-height: calc(100vh - 116px); */
    /* min-height: calc(100vh - 106px);
    max-height: calc(100vh - 106px); */
    max-height: calc(100vh - 238px - 126px);
    /* max-height: 452px; */
    width: 430px;
    animation: none;
    box-sizing: border-box;
    padding: 16px;
    overflow: auto;
    scrollbar-width: none;
    /* background-color: #fff; */
    z-index: 1;

    @media screen and (max-width: 1024px) {
        right: 0;
        max-height: calc(100vh - 128px - 72px);
    }
}

.content__button {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    cursor: pointer;
}

.content__button svg {
    width: 2.25rem;
    height: 2.25rem;
    margin-right: 0.625rem;
}

.content__img {
    margin-top: 1.875rem;
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.content__title {
    font-family: 'Merriweather', Helvetica, Arial, sans-serif;
    font-size: 1.8125rem;
    letter-spacing: -0.01em;

    margin-block: 1rem;
    font-weight: 700;
    line-height: 24px;
    text-align: left;


    .ico {
        margin-left: 4px;
        vertical-align: top;
    }
}

.content__block-title {
    margin-top: 1rem;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1.25rem;
}

.content__block-value {
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    line-height: 1.5rem;
    color: #35454D;
}

.content__array {
    margin-top: 1rem;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1.25rem;
}

.content__array-block {
    margin-top: 1rem;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    line-height: 1.5rem;
    font-weight: 400;
    color: #35454D;
}

.content__array-item {
    max-width: 14.375rem;
    position: relative;
}

.content__array-item svg {
    position: absolute;
    top: 0;
    right: 0;
}

.content__slider {
    margin-block: 16px;
}
.content__slider-item {
    width: 100%;
    max-width: 398px;
    height: 328px;
    @media screen and (max-width: 1024) {
        width: 100%;
    }
}
.content__slider-item .swiper-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto;
}

.content__slider-item .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.content__slider-item .swiper-pagination {
    bottom: 0;
    display: flex;
    justify-content: space-between;
    padding: 0 12px 8px;
    @media screen and (max-width: 1024) {
        height: calc(100% - 10px);
        padding: 0 12px;
    }
}

.content__slider-item .swiper-pagination-bullet {
    width: 100%;
    height: inherit;
    border-bottom: 2px solid #F2F2F2;
    border-radius: 0px;
    background: none;
}

.owner__title {
    margin-top: 1rem;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1.25rem;
}

.owner-block__title {
    margin-top: 1rem;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1.25rem;
}

.owner-block__value {
    margin-top: 1rem;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    line-height: 1.5rem;
    color: #35454D;
}

.owner-block__phone {
    margin-top: 1rem;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    line-height: 1.5rem;
    color: #35454D;
}

.owner-block__info {
    margin-top: 1rem;
    font-family: "Inter", sans-serif;
    font-size: 0.875rem;
    line-height: 1.5rem;
    color: #35454D;
}

.search__field {
    width: 42%;
    border: 1px solid #EDEDED;
}

.search__field input {
    width: 100%;
    padding: 0.875rem 1.5rem;
    color: #35454D;
    font-family: "Arial", serif;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.search__price {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.search__rangeBox {
    position: relative;
    height: 45px;
    width: 100%;
    opacity: 0;
}

.search__rangeBox input[type=range] {
    position: absolute;
    box-sizing: border-box;
    appearance: none;
    width: 100%;
    margin: 0;
    padding: 0 2px;
    /* Add some L/R padding to ensure box shadow of handle is shown */
    overflow: hidden;
    border: 0;
    border-radius: 1px;
    outline: none;
    background: linear-gradient(#EDEDED, #EDEDED) no-repeat center;
    /* Use a linear gradient to generate only the 2px height background */
    background-size: 100% 2px;
    pointer-events: none;
}

.search__rangeBox input[type=range]::-moz-range-thumb {
    pointer-events: all;
}

.search__rangeBox input[type=range]:active, .search__rangeBox input[type=range]:focus {
    outline: none;
}

.search__rangeBox input[type=range]::-webkit-slider-thumb {
    height: 1rem;
    width: 1rem;
    border-radius: 28px;
    background-color: #306682;
    margin: 5px 0;
    cursor: pointer;
    appearance: none;
    pointer-events: all;
    box-shadow: 0 1px 4px 0.5px rgba(0, 0, 0, 0.25);
}

.search__rangeBox input[type=range]:nth-child(2) {
    background: none;
}

.filter__menu {
    opacity: 0;
    visibility: hidden;
    transition: .3s;
}

.filter__menu.open {
    opacity: 1;
    visibility: visible;
}

.search__price {
    opacity: 0;
}

.filter.open .search__rangeBox, .filter.open .search__price {
    opacity: 1;
}

@media (max-width: 1600px) {
    html {
        font-size: 16px;
    }
}

@media (max-width: 1550px) {
    html {
        font-size: 15.5px;
    }
}

@media (max-width: 1500px) {
    html {
        font-size: 15px;
    }
}

@media (max-width: 1450px) {
    html {
        font-size: 14.5px;
    }
}

@media (max-width: 1400px) {
    html {
        font-size: 14px;
    }
}

@media (max-width: 1350px) {
    html {
        font-size: 13.5px;
    }
}

@media (max-width: 1300px) {
    html {
        font-size: 13px;
    }
}

@media (max-width: 1250px) {
    html {
        font-size: 12.5px;
    }
}

@media (max-width: 1200px) {
    html {
        font-size: 12px;
    }
}

@media (max-width: 1024px) {
    html {
        font-size: 16px;
    }

    .filter.open {
        display: flex;
        margin: 0;
        height: 100%;
        border-top: 1px solid #DDDDDD;
        border-radius: 0 0 4px 4px;
        transition: height .3s, border-radius .3s, width .3s;
        flex-wrap: wrap;
    }

    .filter.open .filter__menu {
        width: 100%;
    }

    .filter.open .filter__search {
        box-sizing: border-box;
        height: 50px;
        margin-top: 0;
        width: 100%;
        margin-right: 10%;
    }

    .filter.open .filter__tabs-box {
    }

    .filter.open .filter__tabs-box:last-child {
        margin-top: .875rem;
    }

    .filter.open .filter__tabs {
        margin-top: 0;
        box-sizing: border-box;
        max-height: 50px;
    }

    .filter.open .filter__tab {
        box-sizing: border-box;
        height: 50px;
    }

    .filter.open .filter__buttons {
        flex-direction: row;
        width: 100%;
        justify-content: space-between;
    }

    .filter.open .filter__button {
        width: 48%;
    }

    .filter.open .filter__button:last-child {
        margin-top: 0;
    }

    .filter.open .filter__radios-box {
        display: flex;
        width: 100%;
        justify-content: space-between;
        padding: 0.75rem 0 1rem;
    }

    .filter.open .filter__radios {
        width: 100%;
    }

    .filter.open .filter-button {
        width: 100%;
        margin-bottom: 28px;
    }

    .filter.open .filter-button__text:first-child {
        display: none;
    }

    .filter.open .filter-button__text:last-child {
        color: #306682;
        display: flex;
    }

    .content.open {
        overflow-x: hidden;
        display: flex;
        flex-direction: column;
        margin: 0;
        width: 100vw;
        /* width: 68vw; */
        width: calc(97% - 300px);
        border-top: 1px solid #DDDDDD;
        border-radius: 0 0 4px 4px;
        transition: height .3s, border-radius .3s, width .3s;
        max-height: calc(100vh - 73px - 286px);
    }

    .content__button {
        order: 1;
        width: 100vw;
        height: 80px;
        padding: 1.25rem 0;
        position: relative;
        left: -1.875rem;
        bottom: -4.875rem;
        justify-content: center;
        border-radius: 0;
        border-top: 1px solid #EDEDED;
        border-bottom: 1px solid #EDEDED;
    }
    .content__button_back {
        padding: 0;
        order: 0;
        bottom: 0;
        height: auto;
        left: 0;
        justify-content: stretch;
        border: none;
    }
}

@media (max-width: 768px) {
    .filter {
        margin: 40px 40px 0 0;
    }

    .filter.open {
        width: 100%;
        /* height: 85%; */
        height: 100%;
    }

    .filter.open .filter-button__text:last-child svg {
        transform: rotate(-90deg);
    }

    .filter.open .filter__search {
        margin-right: 0;
        width: 100%;
    }

    .filter.open .filter__tabs-box {
        width: 100%;
        margin-top: 0.875rem;
    }

    .filter.open .filter__tabs-box:last-child {
        margin-top: 0.875rem;
    }

    .filter.open .filter__buttons {
        flex-direction: column;
    }

    .filter.open .filter__button {
        width: 100%;
    }

    .filter.open .filter__button:last-child {
        margin-top: 20px;
    }

    .filter.open .filter__radios-box {
        flex-direction: column;
    }

    .filter.open .filter__radios {
    }

    .filter.open .filter-button {
        order: 1;
        width: 100vw;
        height: 13%;
        position: fixed;
        left: 0;
        bottom: -4.875rem;
        justify-content: center;
        border-radius: 0;
        background-color: #fff;
        border-top: 1px solid #EDEDED;
        border-bottom: 1px solid #EDEDED;
        bottom: 8px;
        margin-bottom: 0;
    }

    .content.open {
        width: 100vw;
        /* height: 100vh; */
        max-height: calc(100vh - 73px - 196px);
    }
}

@media (max-width: 560px) {
    .filter.open .filter__radios {
        height: auto;
        width: 100%;
    }
}
